Skip to main content
`Ctrl`+`K`

# EPSIsGeneralized

Ask if the `EPS` object corresponds to a generalized eigenvalue problem.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSIsGeneralized(EPS eps,PetscBool* is)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- is - `PETSC_TRUE` if the problem is generalized

## See Also

EPS: Eigenvalue Problem Solver, `EPSIsHermitian()`, `EPSIsPositive()`, `EPSIsStructured()`

## Level

intermediate

## Location

src/eps/interface/epsbasic.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages